org.apache.ignite.internal.processors.task

## Enum GridTaskThreadContextKey

- java.lang.Object
- - java.lang.Enum<GridTaskThreadContextKey>
  - - org.apache.ignite.internal.processors.task.GridTaskThreadContextKey

All Implemented Interfaces:
  Serializable, Comparable<GridTaskThreadContextKey>

    public enum GridTaskThreadContextKey
    extends Enum<GridTaskThreadContextKey>

Defines keys for thread-local context in task processor.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`TC_NO_FAILOVER` No failover flag.
`TC_SUBGRID` Projection for the task.
`TC_SUBJ_ID` Security subject ID.
`TC_TASK_NAME` Task name.
`TC_TIMEOUT` Timeout in milliseconds associated with the task.

### Method Summary

Methods
`static GridTaskThreadContextKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridTaskThreadContextKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TC_TASK_NAME

    public static final GridTaskThreadContextKey TC_TASK_NAME

Task name.

#### TC_NO_FAILOVER

    public static final GridTaskThreadContextKey TC_NO_FAILOVER

No failover flag.

#### TC_SUBGRID

    public static final GridTaskThreadContextKey TC_SUBGRID

Projection for the task.

#### TC_TIMEOUT

    public static final GridTaskThreadContextKey TC_TIMEOUT

Timeout in milliseconds associated with the task.

#### TC_SUBJ_ID

    public static final GridTaskThreadContextKey TC_SUBJ_ID

Security subject ID.

### Method Detail

#### values

    public static GridTaskThreadContextKey[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridTaskThreadContextKey c : GridTaskThreadContextKey.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridTaskThreadContextKey valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015